Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class BeanValidatorServiceImpl

    java.lang.Object
      org.richfaces.validator.BeanValidatorServiceImpl

All Implemented Interfaces:
  org.richfaces.validator.BeanValidatorService

    public class BeanValidatorServiceImpl

extends java.lang.Object
implements org.richfaces.validator.BeanValidatorService

Author:
  asmirnov

Nested Class Summary
`protected static class` | `BeanValidatorServiceImpl.ValidatorKey` Class for identify validator instance by locale

Constructor Summary
`BeanValidatorServiceImpl(org.richfaces.el.ValueExpressionAnalayser analayser, org.richfaces.validator.BeanValidatorFactory validatorFactory)`

Method Summary
`java.util.Collection<org.richfaces.validator.ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, java.lang.String message, java.lang.Class<?>... groups)`
`protected java.util.Collection<java.lang.String>` | `validate(javax.faces.context.FacesContext facesContext, java.lang.Class<?> beanType, java.lang.String property, java.lang.Object value, java.lang.Class<?>[] groups)`
`java.util.Collection<java.lang.String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, java.lang.Object newValue, java.lang.Class<?>... groups)`
`java.util.Collection<java.lang.String>` | `validateObject(javax.faces.context.FacesContext context, java.lang.Object value, java.lang.Class<?>... groups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValidatorServiceImpl

    public BeanValidatorServiceImpl(org.richfaces.el.ValueExpressionAnalayser analayser,
                                    org.richfaces.validator.BeanValidatorFactory validatorFactory)

Method Detail

### getConstrains

    public java.util.Collection<org.richfaces.validator.ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                                                           javax.el.ValueExpression expression,
                                                                                           java.lang.String message,
                                                                                           java.lang.Class<?>... groups)

  Specified by:
    `getConstrains` in interface `org.richfaces.validator.BeanValidatorService`

### validateExpression

    public java.util.Collection<java.lang.String> validateExpression(javax.faces.context.FacesContext context,
                                                                     javax.el.ValueExpression expression,
                                                                     java.lang.Object newValue,
                                                                     java.lang.Class<?>... groups)

  Specified by:
    `validateExpression` in interface `org.richfaces.validator.BeanValidatorService`

### validate

    protected java.util.Collection<java.lang.String> validate(javax.faces.context.FacesContext facesContext,
                                                              java.lang.Class<?> beanType,
                                                              java.lang.String property,
                                                              java.lang.Object value,
                                                              java.lang.Class<?>[] groups)

### validateObject

    public java.util.Collection<java.lang.String> validateObject(javax.faces.context.FacesContext context,
                                                                 java.lang.Object value,
                                                                 java.lang.Class<?>... groups)

  Specified by:
    `validateObject` in interface `org.richfaces.validator.BeanValidatorService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.